Page MenuHomePhabricator

When you open the Cite > Re-use dialog, the cursor should be placed in the search box
Closed, ResolvedPublic1 Story Points

Description

Steps to be inefficient:

  1. Open a page containing a long list of citations, or add (at least) one.
  1. Choose Cite > Re-use
  1. Start typing, to search for the citation that you want to use.
  1. Realize that your cursor isn't in the search box. Click in the box, and now you can start searching.

Event Timeline

Whatamidoing-WMF raised the priority of this task from to Low.
Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2015, 3:41 AM
Rits added a subscriber: Rits.Mar 16 2015, 6:54 PM
Mooeypoo claimed this task.Apr 9 2015, 11:28 PM

Change 203249 had a related patch set uploaded (by Mooeypoo):
Focus the search box in the re-use citation dialog

https://gerrit.wikimedia.org/r/203249

Change 203249 merged by jenkins-bot:
Focus the search box in the re-use citation dialog

https://gerrit.wikimedia.org/r/203249

Jdforrester-WMF closed this task as Resolved.Apr 10 2015, 8:52 AM
Jdforrester-WMF raised the priority of this task from Low to Normal.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from Nominated to Done on the VisualEditor 2014/15 Q4 blockers board.

Verified the fix in beta.